# DSFR

This theme is intended to use the French [State Design System](https://www.systeme-de-design.gouv.fr/) (DSFR) on [Drupal](https://www.drupal.org/) (^8.8 || ^9).

**Warning:** this theme is experimental.

## Theme Installation

Place the theme in the `theme/custom/` folder.

```bash
git clone git@gitlab.com:acgrenoble/acg-dsfr.git dsfr
```

## Set up a child theme

### With NPM

```bash
npm run child
```

### With scripts

```bash
chmod +x ./scripts/create_childtheme.sh

./scripts/create_childtheme.sh
```

> If the scripts do not work (e.g. with WSL), you can first run the dos2unix utility to reformat the file
> ```bash
> dos2unix ./scripts/create_childtheme.sh
> ```

## Advanced features

Please consult the documents in the `themes/[custom]/dsfr/docs` folder :

1. Menu configuration
1. Newsletter
1. Update/get the DSFR library

## French theme

In order to respect the multilingual aspect of Drupal, the theme is in English. Moreover, the multi-language aspect can be useful, especially for embassies.

### Automatic translation (installation)

Placed in the "themes/custom" folder, the DSFR parent theme should automatically be translated into French for a Drupal project initialized in French.

### Manual translation

It's however possible to make it French by importing the `dsfr-fr.po` (file located in the `translations/` folder)  in your Drupal project (`fr/admin/config/regional/translate/import`).

## Settings

It's possible to set up the theme from the address `/admin/appearance/settings/dsfr` to modify :

* the name of the institution (under the Marianne logo),
* the width of the header, main menu, hero, content, top and bottom footer,
* the horizontal position of the breadcrumb trail,
* the margins at the top and bottom of the hero and the main content,
* the display of the logo image in the header and footer,
* the display of the logo text in the header,
* the last menu in the footer concerning the RGPD, etc. 
* the display of the line on rights (and possibly to add its content via the last region)
* the presence of "role" attributes in HTML5 tags (see the [W3C documentation](https://www.w3.org/TR/wai-aria-1.0/roles)).

## Licence

Please read the LICENSE.md document provided with this theme.

[Scope of application of DSFR](https://gouvfr.atlassian.net/wiki/spaces/DB/pages/606012403)

## Authors

The French [State Design System](https://www.systeme-de-design.gouv.fr/) was created by the Government Information Service (SIG), under the direction of Jean-Charles Hourdeaux. 

This theme and DSFR integration was done by J. Bouquet, developer for [the Grenoble Academy](https://www.ac-grenoble.fr/).