# Update/get the DSFR library

**Warning:** require [NPM](https://docs.npmjs.com/downloading-and-installing-node-js-and-npm).

It's possible to update the DSFR library contained in "dist/dsfr", however it's not recommended in production.

This update will create the folder `src/dsfr` (complete and current DSFR library).

To update the DSFR library, you can use NPM - or - directly the Bash scripts.

## With NPM

```bash
npm run update
```

## With scripts

```bash
chmod +x ./scripts/npm_dsfr.sh

./scripts/npm_dsfr.sh
```

> If the scripts do not work (e.g. with WSL), you can first run the dos2unix utility to reformat the file
> ```bash
> dos2unix ./scripts/npm_dsfr.sh
> ```

You should get:

```
themes/[custom]/dsfr
└── dist/
  └── css
  └── dsfr/
    └── artwork/
    └── component/
    └── core/
    └── dsfr/
    └── favicon/
    └── fonts/
    └── legacy/
    └── page/
    └── pattern/
    └── scheme/
└── src/
  └── dsfr/
    └── node_modules/
    └── package-lock.json
    └── package.json
  └── scss/
  └── Dsfr.php
```

## Alternatives:

You can put in `src` the folder `dsfr`, then:

### with NPM
```bash
npm install @gouvfr/dsfr
```

### or Yarn
```bash
yarn add @gouvfr/dsfr
```

or [Download the folder](https://gouvfr.atlassian.net/wiki/spaces/DB/pages/223019574/D+veloppeurs) and unzip it.
