#!/bin/bash
LC_CTYPE=en_US.utf8

echo "
#----------------------------------------------------------------------------#
#
# Script to quickly create a DSFR child theme for Drupal ^8.8 || ^9
# You should be in the theme/custom folder
#
# -- /!\ WARNING: 
#
# Please consult the document LICENSE.txt and verify that you are authorized 
# to use the French State Design System.
#
#----------------------------------------------------------------------------#
"

echo '
# Please enter the machine name of your child theme (required)
# e.g. "dsfr_child":'
read DSFR_CHILD

if ! [ $DSFR_CHILD ]; then
  echo "ERROR - A child theme name is mandatory
  "
  exit 0
fi

echo '

#----------------------------------------------------------------------------#
# Please enter the name of your child theme 
# e.g. "My institutional theme" or empty:'
read DSFR_CHILD_NAME

echo '

#----------------------------------------------------------------------------#
# Please enter the name of your institution 
# e.g. "République <br> Française" -- or empty:'
read DSFR_CHILD_INSTITUTION

cp -r _dsfr_child ../$DSFR_CHILD
cd ../$DSFR_CHILD
mkdir dist 
mkdir dist/css
touch dist/css/dsfr_custom.min.css

for file in *_dsfr_child.*; do mv $file ${file//_dsfr_child/$DSFR_CHILD}; done
for file in config/*/*dsfr_child.*; do mv $file ${file//_dsfr_child/$DSFR_CHILD}; done

if [[ $DSFR_CHILD_NAME ]]; then
  sed -i "s/DSFR Child Theme/$DSFR_CHILD_NAME/g" $DSFR_CHILD.info.yml
  sed -i "s/_dsfr_child/$DSFR_CHILD/g" $DSFR_CHILD.info.yml
fi;
if [[ $DSFR_CHILD_INSTITUTION ]]; then

  # https://www.tecmint.com/convert-files-to-utf-8-encoding-in-linux/
  for  file in config/*/*.yml; do
    sed -i "s/République <br> Française/$DSFR_CHILD_INSTITUTION/g" config/*/$DSFR_CHILD.*.yml
  done

fi;

echo "
#----------------------------------------------------------------------------#
# Preview of the '$DSFR_CHILD'.info.yml file

"
head -n 4 $DSFR_CHILD.info.yml
echo "
#----------------------------------------------------------------------------#
# Preview of $DSFR_CHILD.settings.yml and $DSFR_CHILD.schema.yml

"
head -n 2 config/install/$DSFR_CHILD.settings.yml
echo '
'